Changed PKCS #11 module from libopencryptoki.so to libchaps.so.

BUG=chromium-os:21005
TEST=emerge-x86-generic and emerge-arm-generic

Change-Id: Ib8e6bbb5249497abace9afb79d2f5a3b378cae44
Reviewed-on: https://gerrit.chromium.org/gerrit/11433
Reviewed-by: Gaurav Shah <gauravsh@chromium.org>
Reviewed-by: Ken Mixter <kmixter@chromium.org>
Tested-by: Darren Krahn <dkrahn@chromium.org>
Commit-Ready: Darren Krahn <dkrahn@chromium.org>
diff --git a/SConstruct b/SConstruct
index 36291ce..3524fcc 100644
--- a/SConstruct
+++ b/SConstruct
@@ -23,7 +23,7 @@
           'event',
           'curl',
           'crypto',
-          'opencryptoki',
+          'chaps',
           'chromeos',
           'crosapi'],
   )
diff --git a/base_policy/openssl.conf b/base_policy/openssl.conf
index d7fd00b..f24c7aa 100644
--- a/base_policy/openssl.conf
+++ b/base_policy/openssl.conf
@@ -9,7 +9,7 @@
 [pkcs11_section]
 engine_id = pkcs11
 dynamic_path = /usr/lib/engines/engine_pkcs11.so
-MODULE_PATH = /usr/lib/opencryptoki/libopencryptoki.so.0
+MODULE_PATH = /usr/lib/libchaps.so
 PIN = 000000
 init = 0